gtkglextmm: Enums and Flags

Main Page | Modules | Namespace List | Class Hierarchy | Alphabetical List | Class List | Directories | File List | Namespace Members | Class Members | File Members | Examples

# Enums and Flags

## Enumerations
enum | Gdk::GL::ConfigMode { Gdk::GL::MODE_RGB = 0, Gdk::GL::MODE_RGBA = 0, Gdk::GL::MODE_INDEX = 1 << 0, Gdk::GL::MODE_SINGLE = 0, Gdk::GL::MODE_DOUBLE = 1 << 1, Gdk::GL::MODE_STEREO = 1 << 2, Gdk::GL::MODE_ALPHA = 1 << 3, Gdk::GL::MODE_DEPTH = 1 << 4, Gdk::GL::MODE_STENCIL = 1 << 5, Gdk::GL::MODE_ACCUM = 1 << 6, Gdk::GL::MODE_MULTISAMPLE = 1 << 7 }
enum | Gdk::GL::ConfigAttrib { Gdk::GL::USE_GL = 1, Gdk::GL::BUFFER_SIZE = 2, Gdk::GL::LEVEL = 3, Gdk::GL::RGBA = 4, Gdk::GL::DOUBLEBUFFER = 5, Gdk::GL::STEREO = 6, Gdk::GL::AUX_BUFFERS = 7, Gdk::GL::RED_SIZE = 8, Gdk::GL::GREEN_SIZE = 9, Gdk::GL::BLUE_SIZE = 10, Gdk::GL::ALPHA_SIZE = 11, Gdk::GL::DEPTH_SIZE = 12, Gdk::GL::STENCIL_SIZE = 13, Gdk::GL::ACCUM_RED_SIZE = 14, Gdk::GL::ACCUM_GREEN_SIZE = 15, Gdk::GL::ACCUM_BLUE_SIZE = 16, Gdk::GL::ACCUM_ALPHA_SIZE = 17, Gdk::GL::CONFIG_CAVEAT = 0x20, Gdk::GL::X_VISUAL_TYPE = 0x22, Gdk::GL::TRANSPARENT_TYPE = 0x23, Gdk::GL::TRANSPARENT_INDEX_VALUE = 0x24, Gdk::GL::TRANSPARENT_RED_VALUE = 0x25, Gdk::GL::TRANSPARENT_GREEN_VALUE = 0x26, Gdk::GL::TRANSPARENT_BLUE_VALUE = 0x27, Gdk::GL::TRANSPARENT_ALPHA_VALUE = 0x28, Gdk::GL::DRAWABLE_TYPE = 0x8010, Gdk::GL::RENDER_TYPE = 0x8011, Gdk::GL::X_RENDERABLE = 0x8012, Gdk::GL::FBCONFIG_ID = 0x8013, Gdk::GL::MAX_PBUFFER_WIDTH = 0x8016, Gdk::GL::MAX_PBUFFER_HEIGHT = 0x8017, Gdk::GL::MAX_PBUFFER_PIXELS = 0x8018, Gdk::GL::VISUAL_ID = 0x800B, Gdk::GL::SCREEN = 0x800C, Gdk::GL::SAMPLE_BUFFERS = 100000, Gdk::GL::SAMPLES = 100001 }
enum | Gdk::GL::ConfigCaveat { Gdk::GL::CONFIG_CAVEAT_DONT_CARE = 0xFFFFFFFF, Gdk::GL::CONFIG_CAVEAT_NONE = 0x8000, Gdk::GL::SLOW_CONFIG = 0x8001, Gdk::GL::NON_CONFORMANT_CONFIG = 0x800D }
enum | Gdk::GL::VisualType { Gdk::GL::VISUAL_TYPE_DONT_CARE = 0xFFFFFFFF, Gdk::GL::TRUE_COLOR = 0x8002, Gdk::GL::DIRECT_COLOR = 0x8003, Gdk::GL::PSEUDO_COLOR = 0x8004, Gdk::GL::STATIC_COLOR = 0x8005, Gdk::GL::GRAY_SCALE = 0x8006, Gdk::GL::STATIC_GRAY = 0x8007 }
enum | Gdk::GL::TransparentType { Gdk::GL::TRANSPARENT_NONE = 0x8000, Gdk::GL::TRANSPARENT_RGB = 0x8008, Gdk::GL::TRANSPARENT_INDEX = 0x8009 }
enum | Gdk::GL::DrawableTypeMask { Gdk::GL::WINDOW_BIT = 1 << 0, Gdk::GL::PIXMAP_BIT = 1 << 1, Gdk::GL::PBUFFER_BIT = 1 << 2 }
enum | Gdk::GL::RenderTypeMask { Gdk::GL::RGBA_BIT = 1 << 0, Gdk::GL::COLOR_INDEX_BIT = 1 << 1 }
enum | Gdk::GL::BufferMask { Gdk::GL::FRONT_LEFT_BUFFER_BIT = 1 << 0, Gdk::GL::FRONT_RIGHT_BUFFER_BIT = 1 << 1, Gdk::GL::BACK_LEFT_BUFFER_BIT = 1 << 2, Gdk::GL::BACK_RIGHT_BUFFER_BIT = 1 << 3, Gdk::GL::AUX_BUFFERS_BIT = 1 << 4, Gdk::GL::DEPTH_BUFFER_BIT = 1 << 5, Gdk::GL::STENCIL_BUFFER_BIT = 1 << 6, Gdk::GL::ACCUM_BUFFER_BIT = 1 << 7 }
enum | Gdk::GL::ConfigError { Gdk::GL::BAD_SCREEN = 1, Gdk::GL::BAD_ATTRIBUTE, Gdk::GL::NO_EXTENSION, Gdk::GL::BAD_VISUAL, Gdk::GL::BAD_CONTEXT, Gdk::GL::BAD_VALUE, Gdk::GL::BAD_ENUM }
enum | Gdk::GL::RenderType { Gdk::GL::RGBA_TYPE = 0x8014, Gdk::GL::COLOR_INDEX_TYPE = 0x8015 }
enum | Gdk::GL::DrawableAttrib { Gdk::GL::PRESERVED_CONTENTS = 0x801B, Gdk::GL::LARGEST_PBUFFER = 0x801C, Gdk::GL::WIDTH = 0x801D, Gdk::GL::HEIGHT = 0x801E, Gdk::GL::EVENT_MASK = 0x801F }
enum | Gdk::GL::PbufferAttrib { Gdk::GL::PBUFFER_PRESERVED_CONTENTS = 0x801B, Gdk::GL::PBUFFER_LARGEST_PBUFFER = 0x801C, Gdk::GL::PBUFFER_HEIGHT = 0x8040, Gdk::GL::PBUFFER_WIDTH = 0x8041 }
enum | Gdk::GL::EventMask { Gdk::GL::PBUFFER_CLOBBER_MASK = 1 << 27 }
enum | Gdk::GL::EventType { Gdk::GL::DAMAGED = 0x8020, Gdk::GL::SAVED = 0x8021 }
enum | Gdk::GL::DrawableType { Gdk::GL::WINDOW = 0x8022, Gdk::GL::PBUFFER = 0x8023 }
## Functions
ConfigMode | Gdk::GL::operator| (ConfigMode lhs, ConfigMode rhs)
ConfigMode | Gdk::GL::operator & (ConfigMode lhs, ConfigMode rhs)
ConfigMode | Gdk::GL::operator^ (ConfigMode lhs, ConfigMode rhs)
ConfigMode | Gdk::GL::operator~ (ConfigMode flags)
ConfigMode & | Gdk::GL::operator|= (ConfigMode &lhs, ConfigMode rhs)
ConfigMode & | Gdk::GL::operator &= (ConfigMode &lhs, ConfigMode rhs)
ConfigMode & | Gdk::GL::operator^= (ConfigMode &lhs, ConfigMode rhs)
DrawableTypeMask | Gdk::GL::operator| (DrawableTypeMask lhs, DrawableTypeMask rhs)
DrawableTypeMask | Gdk::GL::operator & (DrawableTypeMask lhs, DrawableTypeMask rhs)
DrawableTypeMask | Gdk::GL::operator^ (DrawableTypeMask lhs, DrawableTypeMask rhs)
DrawableTypeMask | Gdk::GL::operator~ (DrawableTypeMask flags)
DrawableTypeMask & | Gdk::GL::operator|= (DrawableTypeMask &lhs, DrawableTypeMask rhs)
DrawableTypeMask & | Gdk::GL::operator &= (DrawableTypeMask &lhs, DrawableTypeMask rhs)
DrawableTypeMask & | Gdk::GL::operator^= (DrawableTypeMask &lhs, DrawableTypeMask rhs)
RenderTypeMask | Gdk::GL::operator| (RenderTypeMask lhs, RenderTypeMask rhs)
RenderTypeMask | Gdk::GL::operator & (RenderTypeMask lhs, RenderTypeMask rhs)
RenderTypeMask | Gdk::GL::operator^ (RenderTypeMask lhs, RenderTypeMask rhs)
RenderTypeMask | Gdk::GL::operator~ (RenderTypeMask flags)
RenderTypeMask & | Gdk::GL::operator|= (RenderTypeMask &lhs, RenderTypeMask rhs)
RenderTypeMask & | Gdk::GL::operator &= (RenderTypeMask &lhs, RenderTypeMask rhs)
RenderTypeMask & | Gdk::GL::operator^= (RenderTypeMask &lhs, RenderTypeMask rhs)
BufferMask | Gdk::GL::operator| (BufferMask lhs, BufferMask rhs)
BufferMask | Gdk::GL::operator & (BufferMask lhs, BufferMask rhs)
BufferMask | Gdk::GL::operator^ (BufferMask lhs, BufferMask rhs)
BufferMask | Gdk::GL::operator~ (BufferMask flags)
BufferMask & | Gdk::GL::operator|= (BufferMask &lhs, BufferMask rhs)
BufferMask & | Gdk::GL::operator &= (BufferMask &lhs, BufferMask rhs)
BufferMask & | Gdk::GL::operator^= (BufferMask &lhs, BufferMask rhs)
EventMask | Gdk::GL::operator| (EventMask lhs, EventMask rhs)
EventMask | Gdk::GL::operator & (EventMask lhs, EventMask rhs)
EventMask | Gdk::GL::operator^ (EventMask lhs, EventMask rhs)
EventMask | Gdk::GL::operator~ (EventMask flags)
EventMask & | Gdk::GL::operator|= (EventMask &lhs, EventMask rhs)
EventMask & | Gdk::GL::operator &= (EventMask &lhs, EventMask rhs)
EventMask & | Gdk::GL::operator^= (EventMask &lhs, EventMask rhs)

## Enumeration Type Documentation

enum Gdk::GL::BufferMask

  | Bitwise operators: `BufferMask operator|(BufferMask, BufferMask)` `BufferMask operator&(BufferMask, BufferMask)` `BufferMask operator^(BufferMask, BufferMask)` `BufferMask operator~(BufferMask)` `BufferMask& operator|=(BufferMask&, BufferMask)` `BufferMask& operator&=(BufferMask&, BufferMask)` `BufferMask& operator^=(BufferMask&, BufferMask)` Enumerator:
  FRONT_LEFT_BUFFER_BIT |
  FRONT_RIGHT_BUFFER_BIT |
  BACK_LEFT_BUFFER_BIT |
  BACK_RIGHT_BUFFER_BIT |
  AUX_BUFFERS_BIT |
  DEPTH_BUFFER_BIT |
  STENCIL_BUFFER_BIT |
  ACCUM_BUFFER_BIT |

enum Gdk::GL::ConfigAttrib

  | Enumerator:
  USE_GL |
  BUFFER_SIZE |
  LEVEL |
  RGBA |
  DOUBLEBUFFER |
  STEREO |
  AUX_BUFFERS |
  RED_SIZE |
  GREEN_SIZE |
  BLUE_SIZE |
  ALPHA_SIZE |
  DEPTH_SIZE |
  STENCIL_SIZE |
  ACCUM_RED_SIZE |
  ACCUM_GREEN_SIZE |
  ACCUM_BLUE_SIZE |
  ACCUM_ALPHA_SIZE |
  CONFIG_CAVEAT |
  X_VISUAL_TYPE |
  TRANSPARENT_TYPE |
  TRANSPARENT_INDEX_VALUE |
  TRANSPARENT_RED_VALUE |
  TRANSPARENT_GREEN_VALUE |
  TRANSPARENT_BLUE_VALUE |
  TRANSPARENT_ALPHA_VALUE |
  DRAWABLE_TYPE |
  RENDER_TYPE |
  X_RENDERABLE |
  FBCONFIG_ID |
  MAX_PBUFFER_WIDTH |
  MAX_PBUFFER_HEIGHT |
  MAX_PBUFFER_PIXELS |
  VISUAL_ID |
  SCREEN |
  SAMPLE_BUFFERS |
  SAMPLES |

enum Gdk::GL::ConfigCaveat

  | Enumerator:
  CONFIG_CAVEAT_DONT_CARE |
  CONFIG_CAVEAT_NONE |
  SLOW_CONFIG |
  NON_CONFORMANT_CONFIG |

enum Gdk::GL::ConfigError

  | Enumerator:
  BAD_SCREEN |
  BAD_ATTRIBUTE |
  NO_EXTENSION |
  BAD_VISUAL |
  BAD_CONTEXT |
  BAD_VALUE |
  BAD_ENUM |

enum Gdk::GL::ConfigMode

  | Bitwise operators: `ConfigMode operator|(ConfigMode, ConfigMode)` `ConfigMode operator&(ConfigMode, ConfigMode)` `ConfigMode operator^(ConfigMode, ConfigMode)` `ConfigMode operator~(ConfigMode)` `ConfigMode& operator|=(ConfigMode&, ConfigMode)` `ConfigMode& operator&=(ConfigMode&, ConfigMode)` `ConfigMode& operator^=(ConfigMode&, ConfigMode)` Enumerator:
  MODE_RGB |
  MODE_RGBA |
  MODE_INDEX |
  MODE_SINGLE |
  MODE_DOUBLE |
  MODE_STEREO |
  MODE_ALPHA |
  MODE_DEPTH |
  MODE_STENCIL |
  MODE_ACCUM |
  MODE_MULTISAMPLE |

enum Gdk::GL::DrawableAttrib

  | Enumerator:
  PRESERVED_CONTENTS |
  LARGEST_PBUFFER |
  WIDTH |
  HEIGHT |
  EVENT_MASK |

enum Gdk::GL::DrawableType

  | Enumerator:
  WINDOW |
  PBUFFER |

enum Gdk::GL::DrawableTypeMask

  | Bitwise operators: `DrawableTypeMask operator|(DrawableTypeMask, DrawableTypeMask)` `DrawableTypeMask operator&(DrawableTypeMask, DrawableTypeMask)` `DrawableTypeMask operator^(DrawableTypeMask, DrawableTypeMask)` `DrawableTypeMask operator~(DrawableTypeMask)` `DrawableTypeMask& operator|=(DrawableTypeMask&, DrawableTypeMask)` `DrawableTypeMask& operator&=(DrawableTypeMask&, DrawableTypeMask)` `DrawableTypeMask& operator^=(DrawableTypeMask&, DrawableTypeMask)` Enumerator:
  WINDOW_BIT |
  PIXMAP_BIT |
  PBUFFER_BIT |

enum Gdk::GL::EventMask

  | Bitwise operators: `EventMask operator|(EventMask, EventMask)` `EventMask operator&(EventMask, EventMask)` `EventMask operator^(EventMask, EventMask)` `EventMask operator~(EventMask)` `EventMask& operator|=(EventMask&, EventMask)` `EventMask& operator&=(EventMask&, EventMask)` `EventMask& operator^=(EventMask&, EventMask)` Enumerator:
  PBUFFER_CLOBBER_MASK |

enum Gdk::GL::EventType

  | Enumerator:
  DAMAGED |
  SAVED |

enum Gdk::GL::PbufferAttrib

  | Enumerator:
  PBUFFER_PRESERVED_CONTENTS |
  PBUFFER_LARGEST_PBUFFER |
  PBUFFER_HEIGHT |
  PBUFFER_WIDTH |

enum Gdk::GL::RenderType

  | Enumerator:
  RGBA_TYPE |
  COLOR_INDEX_TYPE |

enum Gdk::GL::RenderTypeMask

  | Bitwise operators: `RenderTypeMask operator|(RenderTypeMask, RenderTypeMask)` `RenderTypeMask operator&(RenderTypeMask, RenderTypeMask)` `RenderTypeMask operator^(RenderTypeMask, RenderTypeMask)` `RenderTypeMask operator~(RenderTypeMask)` `RenderTypeMask& operator|=(RenderTypeMask&, RenderTypeMask)` `RenderTypeMask& operator&=(RenderTypeMask&, RenderTypeMask)` `RenderTypeMask& operator^=(RenderTypeMask&, RenderTypeMask)` Enumerator:
  RGBA_BIT |
  COLOR_INDEX_BIT |

enum Gdk::GL::TransparentType

  | Enumerator:
  TRANSPARENT_NONE |
  TRANSPARENT_RGB |
  TRANSPARENT_INDEX |

enum Gdk::GL::VisualType

  | Enumerator:
  VISUAL_TYPE_DONT_CARE |
  TRUE_COLOR |
  DIRECT_COLOR |
  PSEUDO_COLOR |
  STATIC_COLOR |
  GRAY_SCALE |
  STATIC_GRAY |

## Function Documentation

EventMask Gdk::GL::operator & | ( | EventMask | lhs,
|  | EventMask | rhs
| ) | `[inline]`

BufferMask Gdk::GL::operator & | ( | BufferMask | lhs,
|  | BufferMask | rhs
| ) | `[inline]`

RenderTypeMask Gdk::GL::operator & | ( | RenderTypeMask | lhs,
|  | RenderTypeMask | rhs
| ) | `[inline]`

DrawableTypeMask Gdk::GL::operator & | ( | DrawableTypeMask | lhs,
|  | DrawableTypeMask | rhs
| ) | `[inline]`

ConfigMode Gdk::GL::operator & | ( | ConfigMode | lhs,
|  | ConfigMode | rhs
| ) | `[inline]`

EventMask& Gdk::GL::operator &= | ( | EventMask & | lhs,
|  | EventMask | rhs
| ) | `[inline]`

BufferMask& Gdk::GL::operator &= | ( | BufferMask & | lhs,
|  | BufferMask | rhs
| ) | `[inline]`

RenderTypeMask& Gdk::GL::operator &= | ( | RenderTypeMask & | lhs,
|  | RenderTypeMask | rhs
| ) | `[inline]`

DrawableTypeMask& Gdk::GL::operator &= | ( | DrawableTypeMask & | lhs,
|  | DrawableTypeMask | rhs
| ) | `[inline]`

ConfigMode& Gdk::GL::operator &= | ( | ConfigMode & | lhs,
|  | ConfigMode | rhs
| ) | `[inline]`

EventMask Gdk::GL::operator^ | ( | EventMask | lhs,
|  | EventMask | rhs
| ) | `[inline]`

BufferMask Gdk::GL::operator^ | ( | BufferMask | lhs,
|  | BufferMask | rhs
| ) | `[inline]`

RenderTypeMask Gdk::GL::operator^ | ( | RenderTypeMask | lhs,
|  | RenderTypeMask | rhs
| ) | `[inline]`

DrawableTypeMask Gdk::GL::operator^ | ( | DrawableTypeMask | lhs,
|  | DrawableTypeMask | rhs
| ) | `[inline]`

ConfigMode Gdk::GL::operator^ | ( | ConfigMode | lhs,
|  | ConfigMode | rhs
| ) | `[inline]`

EventMask& Gdk::GL::operator^= | ( | EventMask & | lhs,
|  | EventMask | rhs
| ) | `[inline]`

BufferMask& Gdk::GL::operator^= | ( | BufferMask & | lhs,
|  | BufferMask | rhs
| ) | `[inline]`

RenderTypeMask& Gdk::GL::operator^= | ( | RenderTypeMask & | lhs,
|  | RenderTypeMask | rhs
| ) | `[inline]`

DrawableTypeMask& Gdk::GL::operator^= | ( | DrawableTypeMask & | lhs,
|  | DrawableTypeMask | rhs
| ) | `[inline]`

ConfigMode& Gdk::GL::operator^= | ( | ConfigMode & | lhs,
|  | ConfigMode | rhs
| ) | `[inline]`

EventMask Gdk::GL::operator| | ( | EventMask | lhs,
|  | EventMask | rhs
| ) | `[inline]`

BufferMask Gdk::GL::operator| | ( | BufferMask | lhs,
|  | BufferMask | rhs
| ) | `[inline]`

RenderTypeMask Gdk::GL::operator| | ( | RenderTypeMask | lhs,
|  | RenderTypeMask | rhs
| ) | `[inline]`

DrawableTypeMask Gdk::GL::operator| | ( | DrawableTypeMask | lhs,
|  | DrawableTypeMask | rhs
| ) | `[inline]`

ConfigMode Gdk::GL::operator| | ( | ConfigMode | lhs,
|  | ConfigMode | rhs
| ) | `[inline]`

EventMask& Gdk::GL::operator|= | ( | EventMask & | lhs,
|  | EventMask | rhs
| ) | `[inline]`

BufferMask& Gdk::GL::operator|= | ( | BufferMask & | lhs,
|  | BufferMask | rhs
| ) | `[inline]`

RenderTypeMask& Gdk::GL::operator|= | ( | RenderTypeMask & | lhs,
|  | RenderTypeMask | rhs
| ) | `[inline]`

DrawableTypeMask& Gdk::GL::operator|= | ( | DrawableTypeMask & | lhs,
|  | DrawableTypeMask | rhs
| ) | `[inline]`

ConfigMode& Gdk::GL::operator|= | ( | ConfigMode & | lhs,
|  | ConfigMode | rhs
| ) | `[inline]`

EventMask Gdk::GL::operator~ | ( | EventMask | flags | ) | `[inline]`

BufferMask Gdk::GL::operator~ | ( | BufferMask | flags | ) | `[inline]`

RenderTypeMask Gdk::GL::operator~ | ( | RenderTypeMask | flags | ) | `[inline]`

DrawableTypeMask Gdk::GL::operator~ | ( | DrawableTypeMask | flags | ) | `[inline]`

ConfigMode Gdk::GL::operator~ | ( | ConfigMode | flags | ) | `[inline]`